﻿namespace EDJournal {
    public class MissionFailedEntry : Entry {
        public string Name { get; set; }
        public int MissionID { get; set; }
        public int Fine { get; set; }

        public string HumanReadableName {
            get {
                return HumanReadableMissionName.MakeHumanReadableName(Name);
            }
        }

        protected override void Initialise() {
            Name = JSON.Value<string>("Name") ?? "";
            MissionID = JSON.Value<int?>("MissionID") ?? 0;
            Fine = JSON.Value<int?>("Fine") ?? 0;
        }
    }
}
